Ok - I'm wondering is this is a systemd config bit?

systemctl restart [email protected]
Job for [email protected] failed because the control process exited 
with error code.
See "systemctl status [email protected]" and "journalctl -xeu 
[email protected]" for details.
root@malaysia:~# systemctl status [email protected][email protected] - Network UPS Tools - device driver for malaysia
     Loaded: loaded (/lib/systemd/system/[email protected]; enabled; preset: 
enabled)
    Drop-In: /etc/systemd/system/[email protected]
             └─nut-driver-enumerator-generated-checksum.conf
     Active: activating (auto-restart) (Result: exit-code) since Tue 2023-07-04 
19:03:20 CDT; 9s ago
Process: 14926 ExecStart=/bin/sh -c NUTDEV="`/usr/libexec/nut-driver-enumerator.sh --get-device-for-service malaysia`" && [ -n "$NUTDEV" ] || { echo "FATAL: Could not find a NUT device section for service unit malaysia" >&2 ; exit 1 ; } ; /sbin/upsdrvctl start "$NUTDEV" (code=exited, status=0/SUCCESS) Process: 14955 ExecStop=/bin/sh -c NUTDEV="`/usr/libexec/nut-driver-enumerator.sh --get-device-for-service malaysia`" && [ -n "$NUTDEV" ] || { echo "FATAL: Could not find a NUT device section for service unit malaysia" >&2 ; exit 1 ; } ; /sbin/upsdrvctl stop "$NUTDEV" (code=exited, status=1/FAILURE)


-------->%-------------------------------------------------
So I tried
# /usr/libexec/nut-driver-enumerator.sh --get-device-for-service malaysia
malaysia




I'm not clear about all the unit files -

~# systemctl list-unit-files |grep nut
nut-driver-enumerator.path             enabled         enabled
nut-client.service                     alias           -
nut-driver-enumerator.service          enabled         enabled
[email protected]                    indirect        enabled
nut-monitor.service                    enabled         enabled
nut-server.service                     enabled         enabled
nut-driver.target                      enabled         enabled
nut.target

My understanding was to start via nut.target?

Checking config directory permissions:
# ll |grep nut
drwxr-xr-x  2 root     nut       4096 2023-07-04 18:46 nut/


# ll
total 72
-rw-r--r-- 1 root root  1076 2023-06-22 00:37 hosts.conf-off
-rw-r----- 1 root nut   1921 2023-06-22 00:33 nut.conf
-rw-r----- 1 root nut  10065 2023-07-04 18:35 ups.conf
-rw-r----- 1 root nut  10068 2023-07-04 18:21 ups.conf~
-rw-r----- 1 root nut   7390 2023-06-22 00:35 upsd.conf
-rw-r----- 1 root nut   2425 2023-06-22 00:36 upsd.users
-rw-r----- 1 root nut  20355 2023-07-04 18:46 upsmon.conf
-rw-r----- 1 root nut   4201 2023-01-25 03:27 upssched.conf

--
--------------------------------------------------------------------------------
Karl Schmidt                                  EMail [email protected]
3209 West 9th Street                          Ph (785) 841-3089
Lawrence, KS 66049

The secret of getting ahead is getting started. The secret of
getting started is breaking your complex overwhelming tasks into
small manageable tasks, and then starting on the first one.
--Mark Twain
--------------------------------------------------------------------------------

_______________________________________________
Nut-upsuser mailing list
[email protected]
https://alioth-lists.debian.net/cgi-bin/mailman/listinfo/nut-upsuser

Reply via email to